Skip to navigation

Retrieve an order

View as Markdown
Retrieve the details of a specific Order object.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired
Object ID or Number.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.

expand[]list of enumsOptional

Allows you to expand responses by including related object information in a single call.

Note: For draft and scheduled orders, information on the subscription, rate plan, and rate plan charges is not available nor displayed until the following conditions are met:

  • A scheduled order is executed and its status is changed to completed.
  • A draft order is activated and its status is changed to pending or completed.

For example, if an order is in the scheduled or draft status, information on the subscription, rate plan, and rate plan charges is not displayed.

filter[]list of stringsOptional

A case-insensitive filter on the list. Supported filterable fields:

  • id
  • updateddate
  • orderdate
  • ordernumber
  • accountid
  • status
  • invoicescheduleid
  • {indexedcustomfield}: Use the format like customField__c to filter on custom fields.
fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
idstringOptional
The unique identifier of the order.
createdByIdstringOptional
The unique identifier of the user who created the order.
createdDatedatetimeOptional

The time that the order gets created in the system, in the YYYY-MM-DD HH:MM:SS format.

updatedByIdstringOptional
The unique identifier of the user who last updated the order.
updatedDatedatetimeOptional
The date and time when the order was last updated.
descriptionstringOptional
The description of the order.
orderDatedateOptional
The date when the order is signed. All the order actions under this order will use this order date as the contract effective date if no additinal contractEffectiveDate is provided.
orderNumberstringOptional
The unique identifier of the order.
accountIdstringOptional
The unique identifier of the customer account associated with the order.
statusenumOptional

The status of the order. If the order contains any Pending Activation or Pending Acceptance subscription, the order status will be Pending; If the order is in draft status, the order status will be Draft; otherwise the order status is Completed.

The available order statuses are as follow:

  • Draft: The order is in draft status.

  • Pending: The order is in pending status.

  • Completed: The order is in completed status.

  • Cancelled: The draft or scheduled order is cancelled.

  • Scheduled: The order is in scheduled status and it is only valid if the Scheduled Orders feature is enabled.

  • Executing: The scheduled order is executed by a scheduler and it is only valid if the Scheduled Orders feature is enabled.

  • Failed: The scheduled order has failed.

Note: To manage and access the Scheduled Orders feature from the self-service interface, see Enable billing features by yourself.

statestringOptional

The state of the bill-to address. The value is a valid subregion (state or province) name or code. For more information, see View subregions of a specific country or region.

createdByMigrationbooleanOptional
Indicates whether the order is created by migration.
categorystringOptional
invoiceScheduleIdstringOptional
The unique identifier of the invoice schedule associated with the order.
scheduledDatedateOptional
The date for the order scheduled.
scheduledDatePolicyenumOptional
Date policy of the scheduled order.
Allowed values:
errorCodestringOptional
The error code of the error response.
errorMessagestringOptional
The error message of the error response.
responsestringOptional
accountobjectOptional
orderLineItemslist of objectsOptional
orderActionslist of objectsOptional

Errors

4XX
Client Request Error
500
Internal Server Error